IF NOT EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'Data.Application.Campus')
BEGIN
	CREATE TABLE [Data.Application.Campus]
	(
		[Id] BIGINT NOT NULL,
		[Name] NVARCHAR(100),
		IsNonCampus BIT NOT NULL DEFAULT(0)
		CONSTRAINT PK_Campus PRIMARY KEY CLUSTERED ([Id])
	)
END
GO

IF NOT EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'Data.Application.Campus' AND COLUMN_NAME = 'IsNonCampus')
BEGIN
	ALTER TABLE
		[Data.Application.Campus]
	ADD
		IsNonCampus BIT NOT NULL DEFAULT(0)
END

